{
  "annotations": {
    "changelogDate": "20251210161127"
  },
  "applications": ["*"],
  "dto": "mapstruct",
  "fields": [
    {
      "fieldName": "username",
      "fieldType": "String",
      "fieldValidateRules": ["required", "unique"]
    },
    {
      "fieldName": "email",
      "fieldType": "String",
      "fieldValidateRules": ["required"]
    },
    {
      "fieldName": "telefono",
      "fieldType": "String"
    },
    {
      "fieldName": "ruolo",
      "fieldType": "Ruolo",
      "fieldValidateRules": ["required"],
      "fieldValues": "USER,INCARICATO,ADMIN"
    },
    {
      "fieldName": "attivo",
      "fieldType": "Boolean",
      "fieldValidateRules": ["required"]
    },
    {
      "fieldName": "nome",
      "fieldType": "String"
    },
    {
      "fieldName": "cognome",
      "fieldType": "String"
    },
    {
      "fieldName": "luogoNascita",
      "fieldType": "String"
    },
    {
      "fieldName": "dataNascita",
      "fieldType": "String"
    },
    {
      "fieldName": "residente",
      "fieldType": "String"
    },
    {
      "fieldName": "societa",
      "fieldType": "String"
    },
    {
      "fieldName": "sede",
      "fieldType": "String"
    },
    {
      "fieldName": "codfiscale",
      "fieldType": "String"
    },
    {
      "fieldName": "telefonoSoc",
      "fieldType": "String"
    },
    {
      "fieldName": "emailSoc",
      "fieldType": "String"
    }
  ],
  "name": "UtenteApp",
  "relationships": [
    {
      "otherEntityField": "login",
      "otherEntityName": "user",
      "relationshipName": "internalUser",
      "relationshipSide": "left",
      "relationshipType": "one-to-one",
      "relationshipWithBuiltInEntity": true
    },
    {
      "otherEntityName": "liberatoria",
      "otherEntityRelationshipName": "utente",
      "relationshipName": "liberatorie",
      "relationshipSide": "right",
      "relationshipType": "one-to-many"
    }
  ],
  "searchEngine": "no",
  "service": "serviceImpl"
}
